﻿using System.Windows.Controls;
using System.Windows.Navigation;
using WyszukiwarkaTwitter.Model;
using System;

namespace WyszukiwarkaTwitter.Views
{
    public partial class History : Page
    {
        public History()
        {
            InitializeComponent();
        }

        // Executes when the user navigates to this page.
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            SearchTermHistory.ItemsSource = Helper.GetSearchTermHistory();
        }

        private void SearchTermHistory_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri(string.Format("/Search/{0}", 
            SearchTermHistory.SelectedItem.ToString()), UriKind.Relative));
        }

    }
}
